Subject: Re: [PATCH net-next v4 2/8] i2c: designware: Add driver support for Wangxun 10Gb NIC

From: 'Andy Shevchenko' <[email-masked]>
Date: Mon, 24 Apr 2023 16:28:01 +0300

On Sun, Apr 23, 2023 at 10:31:09AM +0800, Jiawen Wu wrote:
> > > +++ b/include/linux/platform_data/i2c-dw.h
> > 
> > No way we need this in a new code.
> 
> Do I have to rely on OF or ACPI if I need these parameters?
> 
> > 
> > > +struct dw_i2c_platform_data {
> > > +	void __iomem *base;
> > 
> > You should use regmap.
> 
> The resource was mapped on the ethernet driver. How do I map it again
> with I2C offset?

Create a regmap MMIO and pass the pointer to the child driver via existing
private members. See how MFD drivers do that, e.g. intel_soc_pmic_*.c.

> > > +	unsigned int flags;
> > > +	unsigned int ss_hcnt;
> > > +	unsigned int ss_lcnt;
> > > +	unsigned int fs_hcnt;
> > > +	unsigned int fs_lcnt;
> > 
> > No, use device properties.
> > 
> > > +};

-- 
With Best Regards,
Andy Shevchenko